- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: b9145b98-0958-483e-bc9e-f5492bc88f59
    creation_time: 2023-02-17T12:07:12.689209Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/MADWiFi-encode_ie_ok.i
      input_file_hashes:
        c/loop-invgen/MADWiFi-encode_ie_ok.i: 0816346248b67d4ea9c17aaea510056f7cd51786d8081f1e3a68c606118ae1c9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/MADWiFi-encode_ie_ok.i
    file_hash: 0816346248b67d4ea9c17aaea510056f7cd51786d8081f1e3a68c606118ae1c9
    line: 49
    column: 0
    function: main
  loop_invariant:
    string: 0 <= p && p == bufsize_0-bufsize+2*i && bufsize >= 2*ielen
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 6f70abc7-986c-43b8-bf74-a8c92cec0989
    creation_time: 2023-02-17T12:07:12.689497Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/MADWiFi-encode_ie_ok.i
      input_file_hashes:
        c/loop-invgen/MADWiFi-encode_ie_ok.i: 0816346248b67d4ea9c17aaea510056f7cd51786d8081f1e3a68c606118ae1c9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/MADWiFi-encode_ie_ok.i
    file_hash: 0816346248b67d4ea9c17aaea510056f7cd51786d8081f1e3a68c606118ae1c9
    line: 50
    column: 0
    function: main
  location_invariant:
    string: 0 <= p
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 9ceb7ac4-ca3f-45b9-9764-c9d6332e7408
    creation_time: 2023-02-17T12:07:12.689602Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/MADWiFi-encode_ie_ok.i
      input_file_hashes:
        c/loop-invgen/MADWiFi-encode_ie_ok.i: 0816346248b67d4ea9c17aaea510056f7cd51786d8081f1e3a68c606118ae1c9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/MADWiFi-encode_ie_ok.i
    file_hash: 0816346248b67d4ea9c17aaea510056f7cd51786d8081f1e3a68c606118ae1c9
    line: 51
    column: 0
    function: main
  location_invariant:
    string: p+1 < bufsize_0
    type: assertion
    format: C

